export default class Modifiers<ModifierMap extends object> {
    modifiers: WeakMap<object, Map<string | symbol, ModifierMap>>;
    set<K extends keyof ModifierMap>(target: object, key: string | symbol, modifier: K, value: ModifierMap[K]): void;
    get<K extends keyof ModifierMap>(target: object, key: string | symbol, modifier: K): ModifierMap[K] | undefined;
    has(target: object, key: string | symbol, modifier: keyof ModifierMap): boolean;
}
