export declare type Task = (...args: any) => any;
export default class Scheduler {
    protected queue: Set<Task>;
    protected microtask: Promise<void>;
    protected flushing: boolean;
    protected next(cb: () => void): void;
    flush(): void;
    enqueue(task: Task): void;
}
